DOM::HTMLDocument class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLDocument Class Reference

An `HTMLDocument` is the root of the HTML hierarchy and holds the entire content. More...

`#include <html_document.h>`

Inheritance diagram for DOM::HTMLDocument:

[legend]
Collaboration diagram for DOM::HTMLDocument:

[legend]
List of all members.

## Public Member Functions
| HTMLDocument (KHTMLView *parent)
| The parent is the widget the document should render itself in.
| HTMLDocument (const HTMLDocument &other)
| HTMLDocument (const Node &other)
HTMLDocument & | operator= (const HTMLDocument &other)
HTMLDocument & | operator= (const Node &other)
DOMString | title () const
| The title of a document as specified by the `TITLE` element in the head of the document.
void | setTitle (const DOMString &)
| see title
DOMString | referrer () const
| Returns the URI of the page that linked to this page.
DOMString | domain () const
| The domain name of the server that served the document, or a null string if the server cannot be identified by a domain name.
DOMString | URL () const
| The absolute URI of the document.
HTMLElement | body () const
| The element that contains the content for the document.
void | setBody (const HTMLElement &)
| see body
HTMLCollection | images () const
| A collection of all the `IMG` elements in a document.
HTMLCollection | applets () const
| A collection of all the `OBJECT` elements that include applets and `APPLET` ( deprecated ) elements in a document.
HTMLCollection | links () const
| A collection of all `AREA` elements and anchor ( `A` ) elements in a document with a value for the `href` attribute.
HTMLCollection | forms () const
| A collection of all the forms of a document.
HTMLCollection | anchors () const
| A collection of all the anchor ( `A` ) elements in a document with a value for the `name` attribute.
DOMString | cookie () const
| The cookies associated with this document.
void | setCookie (const DOMString &)
| see cookie
void | open ()
| Note.
void | close ()
| Closes a document stream opened by `open()` and forces rendering.
void | write (const DOMString &text)
| Write a string of text to a document stream opened by `open()` .
void | writeln (const DOMString &text)
| Write a string of text followed by a newline character to a document stream opened by `open()` .
NodeList | getElementsByName (const DOMString &elementName)
| Returns the (possibly empty) collection of elements whose `name` value is given by `elementName` .
DOMString | completeURL (const DOMString &url) const
| not part of the DOM
DOMString | lastModified () const
| Not part of the DOM.
HTMLCollection | all () const
| Not part of the DOM.
## Protected Member Functions
| HTMLDocument (HTMLDocumentImpl *impl)
## Friends
class | ::KHTMLView
class | ::KHTMLPart
class | DOMImplementation

## Detailed Description

An `HTMLDocument` is the root of the HTML hierarchy and holds the entire content.

Beside providing access to the hierarchy, it also provides some convenience methods for accessing certain sets of information from the document.

The following properties have been deprecated in favor of the corresponding ones for the BODY element:

alinkColor

background

bgColor

fgColor

linkColor

vlinkColor

Definition at line 73 of file html_document.h.

## Constructor & Destructor Documentation

HTMLDocument::HTMLDocument | ( | KHTMLView * | parent | ) |

| The parent is the widget the document should render itself in. Rendering information (like sizes, etc...) is only created if parent != 0 Definition at line 42 of file html_document.cpp.

## Member Function Documentation

DOMString HTMLDocument::title | ( |  | ) | const

| The title of a document as specified by the `TITLE` element in the head of the document. Definition at line 84 of file html_document.cpp.

void HTMLDocument::setTitle | ( | const DOMString & |  | ) |

| see title Definition at line 90 of file html_document.cpp.

DOMString HTMLDocument::referrer | ( |  | ) | const

| Returns the URI of the page that linked to this page. The value is an empty string if the user navigated to the page directly (not through a link, but, for example, via a bookmark). Definition at line 96 of file html_document.cpp.

DOMString HTMLDocument::domain | ( |  | ) | const

| The domain name of the server that served the document, or a null string if the server cannot be identified by a domain name. Definition at line 109 of file html_document.cpp.

DOMString HTMLDocument::URL | ( |  | ) | const

| The absolute URI of the document. Definition at line 121 of file html_document.cpp.

HTMLElement HTMLDocument::body | ( |  | ) | const

| The element that contains the content for the document. In documents with `BODY` contents, returns the `BODY` element, and in frameset documents, this returns the outermost `FRAMESET` element. Definition at line 127 of file html_document.cpp.

void HTMLDocument::setBody | ( | const HTMLElement & |  | ) |

| see body Definition at line 133 of file html_document.cpp. References DOM::Node::handle().

HTMLCollection HTMLDocument::images | ( |  | ) | const

| A collection of all the `IMG` elements in a document. The behavior is limited to `IMG` elements for backwards compatibility. Definition at line 140 of file html_document.cpp.

HTMLCollection HTMLDocument::applets | ( |  | ) | const

| A collection of all the `OBJECT` elements that include applets and `APPLET` ( deprecated ) elements in a document. Definition at line 146 of file html_document.cpp.

HTMLCollection HTMLDocument::links | ( |  | ) | const

| A collection of all `AREA` elements and anchor ( `A` ) elements in a document with a value for the `href` attribute. Definition at line 152 of file html_document.cpp.

HTMLCollection HTMLDocument::forms | ( |  | ) | const

| A collection of all the forms of a document. Definition at line 158 of file html_document.cpp.

HTMLCollection HTMLDocument::anchors | ( |  | ) | const

| A collection of all the anchor ( `A` ) elements in a document with a value for the `name` attribute. Note. For reasons of backwards compatibility, the returned set of anchors only contains those anchors created with the `name` attribute, not those created with the `id` attribute. Definition at line 164 of file html_document.cpp.

DOMString HTMLDocument::cookie | ( |  | ) | const

| The cookies associated with this document. If there are none, the value is an empty string. Otherwise, the value is a string: a semicolon-delimited list of "name, value" pairs for all the cookies associated with the page. For example, `name=value;expires=date` . Definition at line 176 of file html_document.cpp.

void HTMLDocument::setCookie | ( | const DOMString & |  | ) |

| see cookie Definition at line 182 of file html_document.cpp.

void HTMLDocument::open | ( |  | ) |

| Note. This method and the ones following allow a user to add to or replace the structure model of a document using strings of unparsed HTML. At the time of writing alternate methods for providing similar functionality for both HTML and XML documents were being considered. The following methods may be deprecated at some point in the future in favor of a more general-purpose mechanism. Open a document stream for writing. If a document exists in the target, this method clears it. Returns: Definition at line 189 of file html_document.cpp.

void HTMLDocument::close | ( |  | ) |

| Closes a document stream opened by `open()` and forces rendering. Returns: Definition at line 195 of file html_document.cpp.

void HTMLDocument::write | ( | const DOMString & | text | ) |

  | Write a string of text to a document stream opened by `open()` . The text is parsed into the document's structure model. Parameters:
  text | The string to be parsed into some structure in the document structure model.
Returns: Definition at line 201 of file html_document.cpp.

void HTMLDocument::writeln | ( | const DOMString & | text | ) |

  | Write a string of text followed by a newline character to a document stream opened by `open()` . The text is parsed into the document's structure model. Parameters:
  text | The string to be parsed into some structure in the document structure model.
Returns: Definition at line 207 of file html_document.cpp.

NodeList HTMLDocument::getElementsByName | ( | const DOMString & | elementName | ) |

  | Returns the (possibly empty) collection of elements whose `name` value is given by `elementName` . Parameters:
  elementName | The `name` attribute value for an element.
Returns: The matching elements. Definition at line 213 of file html_document.cpp.

DOMString HTMLDocument::completeURL | ( | const DOMString & | url | ) | const

| not part of the DOM converts the given (potentially relative) URL in a full-qualified one, using the baseURL / document URL for the missing parts. Definition at line 102 of file html_document.cpp. References DOM::DOMString::string().

DOMString HTMLDocument::lastModified | ( |  | ) | const

| Not part of the DOM. The date the document was last modified. Definition at line 115 of file html_document.cpp.

HTMLCollection HTMLDocument::all | ( |  | ) | const

| Not part of the DOM. A collection of all the `IMG`, `OBJECT`, `AREA`, `A`, forms and anchor elements of a document. Definition at line 170 of file html_document.cpp.

The documentation for this class was generated from the following files:

- html_document.h
- html_document.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:37:28 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001